Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceAccount and billing

List plans

GET
/v1/plans

Every GridRouter plan with its price, limits, features and managed-call markup, plus the shared overage rates and always-free list.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/plans"
{  "object": "list",  "items": [    {      "id": "free",      "name": "string",      "order": 0,      "tagline": "string",      "price": {        "monthly_usd": 0      },      "cta": {        "label": "string",        "action": "signup"      },      "highlight": false,      "limits": {        "logged_calls_month": 0,        "log_retention_days": 30,        "cached_records": 0,        "bodies_gb": 0,        "workspaces": 0,        "waterfalls": 0,        "queues": 0,        "api_keys": 0      },      "features": {        "live_tail": true,        "mcp_api_sdk": true,        "log_drains": 0,        "sql": true,        "anomaly_alerts": true,        "subscription_tracker": true,        "rebilling": true,        "white_label": true      },      "managed_markup_pct": 0,      "highlights": [        "string",        "string"      ]    }  ],  "rules": {    "currency": "USD",    "overages": {      "logged_calls": {        "label": "string",        "unit_usd": 1,        "per": 1,        "unit": "string"      },      "records_hot": {        "label": "string",        "unit_usd": 1,        "per": 1,        "unit": "string"      },      "records_cold": {        "label": "string",        "unit_usd": 1,        "per": 1,        "unit": "string"      },      "bodies": {        "label": "string",        "unit_usd": 1,        "per": 1,        "unit": "string"      }    },    "always_free": [      "string"    ],    "topup": {      "fee_pct": 1,      "fee_min_usd": 1,      "presets_usd": [        1      ],      "min_usd": 1,      "max_usd": 1    },    "other_revenue": [      "string"    ],    "storage_fairness": [      {        "title": "string",        "body": "string"      }    ]  }}